<?xml version="1.0"?>
<xsl:stylesheet version="2.0" xmlns="http://www.w3.org/1999/xhtml" 
xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:math="http://www.w3.org/1998/Math/MathML" xmlns:om="http://www.openmath.org/OpenMath">


	<xsl:output method="xml"/>

	<xsl:template match="/formalDefinitions">
		<!--the path is relative to the output file directory-->
				<xsl:apply-templates/>
	</xsl:template>


	<xsl:template match="constraint">
		<xsl:if test="./*/*">
			<b>
				<xsl:text> where </xsl:text>
			</b>
			<xsl:apply-templates/>
		</xsl:if>
	</xsl:template>

	<xsl:template match="and">
		<xsl:choose>
			<xsl:when test="true">
					<xsl:call-template name="and"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="and"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="and">
		<xsl:for-each select="./*[not(position()=last())]">
			<xsl:apply-templates select="."/>
			<math:mo>
				<xsl:text>&#x2227;</xsl:text>
			</math:mo>
		</xsl:for-each>
		<xsl:apply-templates select="./*[position()=last()]"/>
	</xsl:template>

	<xsl:template match="or">
		<xsl:choose>
			<xsl:when test="true">
					<xsl:call-template name="or"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:call-template name="or"/>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

	<xsl:template name="or">
		<math:mo>
			<xsl:text>(</xsl:text>
		</math:mo>
		<xsl:for-each select="./*[not(position()=last())]">
			<xsl:apply-templates select="."/>
			<math:mo>
				<xsl:text>&#x2228;</xsl:text>
			</math:mo>
		</xsl:for-each>
		<xsl:apply-templates select="./*[position()=last()]"/>
		<math:mo>
			<xsl:text>)</xsl:text>
		</math:mo>
	</xsl:template>

	<!--xsl:template match="nondegeneracyCondition">
		<xsl:if test="./*/*">
			<p>
				<b>NondegeneracyCondition:</b>
				<xsl:apply-templates select="./*"/>
			</p>
		</xsl:if>
	</xsl:template-->



</xsl:stylesheet><!-- Stylus Studio meta-information - (c) 2004-2007. Progress Software Corporation. 保留所有权力.
<metaInformation>
<scenarios/><MapperMetaTag><MapperInfo srcSchemaPathIsRelative="yes" srcSchemaInterpretAsXML="no" destSchemaPath="" destSchemaRoot="" destSchemaPathIsRelative="yes" destSchemaInterpretAsXML="no"/><MapperBlockPosition></MapperBlockPosition><TemplateContext></TemplateContext><MapperFilter side="source"></MapperFilter></MapperMetaTag>
</metaInformation>
-->